/*
** Copyright (C) 1993-2013 Mark B. Hanson (mbh@panix.com)
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// @(#)$Id: king.h 1344 2013-04-05 21:18:39Z mark $

#ifdef	XSC_KING_H

class King;

#else	// XSC_KING_H
#define	XSC_KING_H

#include "castle.h"
#include "fireball.h"
#include "laser.h"
#include "minefield.h"
#include "ship.h"
#include "stats.h"
#include "tthing.h"

class King : public virtual Tthing {
private:
    Fireball *fireball;
    bool living;

public:
    King(void);
    ~King(void);

    void render(const bool);

    void turn(Castle *, Ship *);
    void resize(const int, const int);
    bool hit(Castle *, Laser *, Minefield *, Stats *);
    void reincarnate(void);
    void pause(const bool) const;

    bool alive(void) const;
};


inline void
King::reincarnate(void)
{
    living = true;
} // King::reincarnate


inline bool
King::alive(void) const
{
    return living;
} // King::alive

#endif	// XSC_KING_H
