/*
** Copyright (C) 1993-2013 Mark B. Hanson (mbh@panix.com)
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// @(#)$Id: random.h 1344 2013-04-05 21:18:39Z mark $

#ifndef	XSC_RANDOM_H
#define	XSC_RANDOM_H

#ifdef	HAVE_CONFIG_H
#include "config.h"
#endif	// HAVE_CONFIG_H

namespace Random {
    long get(void);
    void seed(unsigned int);
} // namespace Random


#if	HAVE_RANDOM && HAVE_SRANDOM

inline long
Random::get(void)
{
    return random();
} // Random::get


inline void
Random::seed(unsigned int x)
{
    srandom(x);
} // Random::seed

#else	// HAVE_RANDOM && HAVE_SRANDOM

inline int
Random::get(void)
{
    return rand();
} // Random::get


inline void
Random::seed(unsigned int x)
{
    srand(x);
} // Random::seed

#endif	// HAVE_RANDOM && HAVE_SRANDOM

#endif	// XSC_RANDOM_H
